#include <ncurses.h>
#include <string.h>


//Text Window Draw
void drawTable(int cursorx, int cursory) {
    int counter = 2;

    char borderLine[]  = "+--------------+------------------------------------------------------+----------+\n";
    char titleBar[]    = "| BLEdit V 1.0 |                                                      | Ctrl + T |\n";
    char dataBar[]     = "                                                          80x42 |\n";
    char dataBarLine[] = "+--------+------+----------------------------------------------------------------+\n";
    char sideWall[]    = "|                                                                                |\n";

    mvprintw(0, 0, "%s", titleBar);
    mvprintw(1, 0, "%s", borderLine);

    while (counter != 43) {
        mvprintw(counter, 0, "%s", sideWall);
        counter ++;
    }

    mvprintw(43, 0, "%s", dataBarLine);
    mvprintw(44, 0, "| R %04d | C %02d |", cursorx, cursory);
    mvprintw(44, 17, "%s", dataBar);
    mvprintw(45, 0, "%s", dataBarLine);

    move(2, 1);
    getsyx(cursory, cursorx);

}
//
//
//
void textInput(int cursory, int cursorx) {
    char line[81];
    char hold[2];
    move(2, 1);

    while (cursorx < 81) {
        getyx(stdscr, cursory, cursorx);
        if (cursorx == 0) { 
            cursorx ++; 
            move(cursory, cursorx);
        }
        if (cursorx == 80) {
            cursorx = 1;
            cursory ++;
            move(cursory, cursorx);
        }
        //update positional readout
        mvprintw(44, 0, "| R %04d | C %02d |", cursorx, cursory);
        move(cursory, cursorx);

        hold[0] = getch();
        if (hold[0] == '\n') {
            cursory ++;
            cursorx = 1;
            move(cursory, cursorx);
        }

        //addch(cursorx);
        //strcat(line, hold);

        cursorx ++;
    }
    cursory ++;
    mvprintw(cursory, cursorx, "%s", "Testtesttestowo");
    
}
//
//
//
//MAIN
int main() {
    int cursorx, cursory = 0;
    char stringText[] = "";
    cursorx = cursory = 0;
    
    initscr();
    cbreak();
    resize_term(46, 82);


    //UI
    drawTable(cursorx, cursory);
    
    //Text Body
    textInput(cursorx, cursory);
    


    mvprintw(0, 0, "%s", "EOC                                                                            EOC");
    getstr(stringText);
    endwin();
    return 0;
}